Skip to main content
ContactNow: Can't Connect to Webphone
8x8 Support Knowledge Base

ContactNow: Can't Connect to Webphone

Symptom

You are unable to connect to the Webphone after updating to the latest version of Google Chrome, Mozilla Firefox, or Microsoft Edge.

Applies To

ContactNow, Webphone

Resolution

Windows Users

  • If you are on Microsoft Windows XP, Vista, 7, or 8, you can continue to use Internet Explorer with full access to Java.
  • If you have Windows 10 and are able to, please utilize Internet Explorer browser instead of Edge to continue to use the Webphone.
  • If you are a Windows user without access to Internet Explorer, please see the Softphone tab.

Softphone

If you are using a browser that does not support Java, we recommend installing and configuring a softphone application, as it is the most similar to the Wephone.

Click here for a guide on how to set up a softphone connection.

Cause

Certain browsers have stopped supporting Java, a third party programming language that the ContactNow Webphone uses to connect your device's microphone and speakers to our telephone systems over the internet. This means that if you have updated to the latest versions of these browsers, you will no longer be able to connect to the Webphone.

Browsers and versions that no longer support Java:

  • Google Chrome version 45 (released September 2016) and above
  • Mozilla Firefox version 52 (released March 2017) and above
  • Microsoft Edge on Windows 10 (released July 2015)

 

  • Was this article helpful?